
QGIS Application - Bug report #16919

Processing: on a 2nd run wrong inputs are taken when tools use the "ParameterMultipleInput" 

widget

2017-07-23 11:46 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24818

Description

GDAL tools seems all affected, possibly others?

a screencast to better show the issue:

https://www.dropbox.com/s/lockvp5hkoijxko/processing_wrong_inputs.ogv?dl=0

Despite not causing crashes or data corruption I'm tagging this as "high" because it can easily lead users to get wrong results even when

they have the correct input files selected.

Associated revisions

Revision 3ee5d184 - 2017-07-24 11:56 AM - Victor Olaya

[processing] get layers list using map layer registry

fixes #16919

History

#1 - 2017-07-23 11:49 AM - Giovanni Manghi

To add a description in words: on a second run one of the used inputs is a layer created previously in the first run, despite the selection done in the

ParameterMultipleInput widget.

#2 - 2017-07-24 11:58 AM - Victor Olaya

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3ee5d184512f29746e55fbc531a31ee9f6912ff4.

#3 - 2017-07-24 02:13 PM - Giovanni Manghi

- Resolution set to fixed/implemented
